Get the VSchema for the keyspace
curl --request GET \
--url https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/keyspaces/{keyspace}/vschema \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/keyspaces/{keyspace}/vschema"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.planetscale.com/v1/organizations/{organization}/databases/{database}/branches/{branch}/keyspaces/{keyspace}/vschema', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"raw": "<string>"
}Keyspace VSchemas
Get the VSchema for the keyspace
Authorization
A service token must have at least one of the following access in order to use this API endpoint:
Service Token Accesses
read_branch, delete_branch, create_branch, connect_production_branch, connect_branch
GET
/
organizations
/
{organization}
/
databases
/
{database}
/
branches
/
{branch}
/
keyspaces
/
{keyspace}
/
vschema
Get the VSchema for the keyspace
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
The name of the organization the branch belongs to
The name of the database the branch belongs to
The name of the branch
The name of the keyspace
Response
Returns the VSchema for the keyspace
The keyspace's VSchema
⌘I

